function this = buildcommandscript(this, tgrates);

% initialize arrays
% -----------------
if isfield(struct(this), 'parsedpacketsvar')
    eval( [ 'global ' this.parsedpacketsvar ' ' this.nskvar ';' ] );
    eval( [ 'params =' this.parsedpacketsvar '.params;' ] );
else
    eval( [ 'global ' this.nskvar ';' ] );
    params = this.headsetinfo.params;
end;
nsktmp = init_nsk([], 'srate', params.sampling_rate, 'tgrates', tgrates, 'timeinfo', strcmpi(this.gettimeinfo, 'on'));
eval( [ this.nskvar ' = nsktmp; clear nsktmp;' ] );
eval( [ this.nskvar '.params = params;' ] );
    
% decode data command
% -------------------
tmpsub  = mean([ params.lower_bit_level params.upper_bit_level]);
tmpmult = 100000*params.volt_reference/params.upper_bit_level/params.gain;
eval( [ this.nskvar '.params.decodecommand = @(intval) ( intval - tmpsub)*tmpmult;' ]);
