% TG Code column = TG code from 1 to 38
% Bytes column = number of bytes for each TG_CODE. EEG_RAW1 is the only one
%                that can be either 1 byte or 2 bytes based on context.
% GetPos       = get the data position index for later synchronization
% Field        = Field names

    %          TG Code  Bytes     GetTime Field   
    TG_CODES={ 0        1         0       'BATTERY'; ...    %TG0
               1        1         0       'POOR_QUALITY'; ... %TG1
               2        1         1       'ATTENTION'; ...  %TG2
               3        1         1       'MEDITATION'; ... %TG3
               4        2         1       'EEG_RAW1'; ... %TG4 RAW
               5        4         1       'DELTA'; ...     
               6        4         1       'THETA'; ...    
               7        4         1       'ALPHA1'; ...     
               8        4         1       'ALPHA2'; ...    
               9        4         1       'BETA1'; ...   
               10       4         1       'BETA2'; ...  
               11       4         1       'GAMMA1'; ... 
               12       4         1       'GAMMA2'; ...
               13       2         1       'EEG_RAW2'; ... %TG13 RAW2
               14       2         1       'EEG_RAW3'; ... %TG14 RAW3
               15       2         1       'EEG_RAW4'; ... %TG15 RAW4
               16       2         1       'EEG_RAW5'; ... %TG16 RAW5
               17       2         1       'EEG_RAW6'; ... %TG17 RAW6
               18       2         1       'EEG_RAW7'; ... %TG18 RAW7
               19       1         0       'EEG_RAW_TIMESTAMP1'; ... %TG19 TIMESTAMP1
               20       1         0       'EEG_RAW_TIMESTAMP2'; ... %TG20 TIMESTAMP2
               21       1         0       'EEG_RAW_TIMESTAMP3'; ... %TG21 TIMESTAMP3
               22       1         0       'EEG_RAW_TIMESTAMP4'; ... %TG22 TIMESTAMP4
               23       1         0       'EEG_RAW_TIMESTAMP5'; ... %TG23 TIMESTAMP5
               24       1         0       'EEG_RAW_TIMESTAMP6'; ... %TG24 TIMESTAMP6
               25       1         0       'EEG_RAW_TIMESTAMP7'; ... %TG25 TIMESTAMP7
               26       2         1       'ACCEL_X'; ...         %TG26
               27       2         1       'ACCEL_Y'; ...         %TG27
               28       2         1       'ACCEL_Z'; ...         %TG28
               29       2         1       'TEMPERATURE_RAW'; ... %TG29
               30       2         1       'GSR_RAW'; ...         %TG30
               31       1         1       'ATTENTION2'; ...      %TG31
               32       1         1       'MEDITATION2'; ...     %TG32
               33       2         0       'TRANSMITTER_ID'; ...  %TG33
               34       2         1       'SEP'; ...      %TG34
               35       2         1       'SEP_TIMESTAMP'; ...   %TG35
               36       2         1       'EVENT'; ...      %TG34
               37       2         1       'BLINK_STRENGTH'; ...   %TG35
               38       2         1       'ZONE'; ...   %TG35
               39       2         1       'OFFHEAD1'; ...   
               40       2         1       'OFFHEAD2'; ...   
               41       2         1       'OFFHEAD3' ...   
               };
           