function this = getparams(this, allpayloadBuffer);

% scan buffer
% -----------
tic;
alltimes = zeros(1, length(allpayloadBuffer));
count = 1;
for index = 1:length(allpayloadBuffer)
    switch allpayloadBuffer{index}(1)
        case 6
            this.bitlevels  = 256;
            alltimes(count) = toc;
            this.nbchan     = 1;
            count = count+1;
        case 128
            this.bitlevels  = NaN;
            this.nbchan     = 1;
            alltimes(count) = toc;
            count = count+1;
    end;
end;

% determine approximate sampling rate
% -----------------------------------
if count == 1, return, end;
alltimes(count:end) = [];
inverseallintervals = 1./(alltimes(2:end)-alltimes(1:end-1));
this.srate = mean(inverseallintervals);
if isnan(this.bitlevels)
    if this.srate > 450
         this.bitlevels = 4096;
    else this.bitlevels = 1024;
    end;
end;
