% this function only works if there is a single channel

function srate = detectstreamsrate(filename);

fid = fopen(filename);
if fid == -1
    error('Cannot open file');
end;

tmpline = fgetl(fid);
count = 1;
while ~feof(fid)
    tmpline = fgetl(fid);    
    tmpind    = find(tmpline == ':');
    if isempty(tmpind), tmpind = 0; end;
    timeval(count)    = str2num(tmpline(1:tmpind-1));
    tmpbuffer         = tmpline(tmpind+1:end);
    timenumval(count) = length(strfind(tmpline(tmpind+1:end), 'AA AA'));
    %timenumval(count) = length(find(tmpbuffer == ' '));
    count = count+1;
end;
fclose(fid);

% estimate sampling rate
% ----------------------
%timenumval = timenumval/8; % approximate number of packets
timevaldiff   = timeval(2:end)-timeval(1:end-1);
timeperpacket = timevaldiff./timenumval(1:end-1);
srate         = 1/mean(timeperpacket);
    
